aboutsummaryrefslogtreecommitdiffstats
path: root/testing/caja-extensions/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2015-03-19 20:15:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-23 12:23:05 +0000
commit76ac4bbc2b3b183c686d034e90e676d0d6646bda (patch)
tree44cfb3d92c795bff9ed73ca1e2a0d6c93fda2b16 /testing/caja-extensions/APKBUILD
parentc9c3ca1ac50814f275239ccd21f52ed095b932e8 (diff)
downloadaports-76ac4bbc2b3b183c686d034e90e676d0d6646bda.tar.gz
aports-76ac4bbc2b3b183c686d034e90e676d0d6646bda.tar.bz2
aports-76ac4bbc2b3b183c686d034e90e676d0d6646bda.tar.xz
testing/caja-extensions: new aport
Diffstat (limited to 'testing/caja-extensions/APKBUILD')
-rw-r--r--testing/caja-extensions/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/caja-extensions/APKBUILD b/testing/caja-extensions/APKBUILD
new file mode 100644
index 0000000000..2ae84a526a
--- /dev/null
+++ b/testing/caja-extensions/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=caja-extensions
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="Set of extensions for Caja file manager"
+url="https://github.com/mate-desktop/caja-extensions"
+arch="all"
+license="GPL2"
+depends="caja"
+depends_dev=""
+makedepends="$depends_dev pkgconfig glib-dev gtk+-dev caja-dev dconf-dev
+ mate-desktop-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --enable-sendto \
+ --enable-wallpaper \
+ --enable-open-terminal \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+ find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="42f5fb11302446443fa5ca6f6110e831 caja-extensions-1.9.1.tar.xz"
+sha256sums="a9e93291f0feca4efb705e8a77a7702b7a3ea6af6dadbad2c08109436f164e72 caja-extensions-1.9.1.tar.xz"
+sha512sums="52e3e028c94d09e44f312cf09c21b251a53c7859df74e021948a7d7c8fd24b6bd34122be3b387b7a1e42a9f23d0735bfb93b4e0224cc8034e9d34e526ffc6033 caja-extensions-1.9.1.tar.xz"